local BrothelSystemMod = ...

---------------------

-- Apply building asset processor
BrothelSystemMod:registerAssetProcessor("models/brothel.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register all brothel building parts and their properties
BrothelSystemMod:dofile("scripts/brothel/building_parts.lua")


-- Register the brothel monument
BrothelSystemMod:register({
	--Déclare que l'objet que l'on crée appartient à la class BUILDING
	DataType = "BUILDING",
	--Déclare la classe de l'objet que l'on crée
	Id = "BROTHEL",
	Name = "BROTHEL_NAME",
	Description = "BROTHEL_DESC",
	--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
	BuildingPartSetList = {
		{ 
			Name = "BROTHEL_CORE",
			BuildingPartList = { "BROTHEL_WORKPLACE_PART" 
				}

		}
	}
})



BrothelSystemMod:register({
	DataType = "UNLOCKABLE_BUILDING",
	Id = "UNLOCKABLE_BROTHEL",
	Name = "UNLOCKABLE_BROTHEL_NAME",
	Description = "UNLOCKABLE_BROTHEL_DESC",
	EstateInfluenceCostList = {
		{ Estate = "LABOUR", Quantity = 0 }
	},
	RelatedProp = "BROTHEL"
})

------------- LIMIT ------

